Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		numactl
Summary:	Library for tuning for Non Uniform Memory Access machines
Version:	2.0.3
Release:	1
BuildArch:	i686
License:	LGPLv2/GPLv2
Group: 		System/Base
URL:		ftp://oss.sgi.com/www/projects/libnuma/download
Source0:	ftp://oss.sgi.com/www/projects/libnuma/download/numactl-%{version}.tar.gz
Buildroot:	%{_tmppath}/%{name}-buildroot

Patch0: 	numactl-2.0.3-rc3-distance_parsing.patch
Patch1: 	numactl-2.0.3-rc3-no-nodes-warning.patch
Patch2: 	numactl-2.0.3-nodes_allowed_list_obo.patch
Patch3: 	numactl-2.0.3-dso-destructor.patch

%description
Simple NUMA policy support. It consists of a numactl program to run
other programs with a specific NUMA policy and a libnuma to do
allocations with NUMA policy in applications.

%package devel
Summary: 	Development package for building Applications that use numa
Group: 		System/Libraries
Requires: 	%{name} = %{version}-%{release}

%description devel
Provides development headers for numa library calls

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS -I."

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8

make prefix=$RPM_BUILD_ROOT/usr libdir=$RPM_BUILD_ROOT/%{_libdir} install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libnuma.so.1
%{_bindir}/numactl
%{_bindir}/numademo
%{_bindir}/numastat
%{_bindir}/memhog
%{_bindir}/migspeed
%{_bindir}/migratepages
%{_mandir}/man8/*.8*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libnuma.so
%{_libdir}/libnuma.a
%{_includedir}/numa.h
%{_includedir}/numaif.h
%{_includedir}/numacompat1.h
%{_mandir}/man3/*.3*

%changelog
* Sat Jan 23 2010 Christian Metzen <metzench@ccux-linux.de> 2.0.3-1
- Initial CCux package release
